#include "datum.h"
//---------------------------------------------------------------------------------------------------------------------------------------------------
Datum::Datum (unsigned den, unsigned mesic, unsigned rok) : 	m_den(den),
								m_mes(mesic),
								m_rok(rok)
{
	if ((mesic < 1) || (mesic > 12) || (den < 1)) throw "Spatne Datum";
	if (mesic == 2)
	{
		if (den > 29) throw "Spatne Datum";
	}
	else if ((mesic == 1) || (mesic == 3) || (mesic == 5) || (mesic == 7) || (mesic == 8) || (mesic == 10) || (mesic == 12))
	{
		if (den > 31) throw "Spatne Datum";
	}
	else if (den > 30) throw "Spatne Datum";
}
//---------------------------------------------------------------------------------------------------------------------------------------------------
std::ostream & operator << (std::ostream & o, const Datum & x)
{
	return o << std::setfill(' ') << std::setw(2) << x.m_den << "." 
		 << std::setfill(' ') << std::setw(2) << x.m_mes << "."
		 << x.m_rok;
}
//---------------------------------------------------------------------------------------------------------------------------------------------------
